
use `qc`;
-- 执行前请看注意事项！
-- 申诉驳回相关配置
-- 注意


/**
med_appeal_info 申诉记录表
 */
CREATE TABLE `med_appeal_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(16) NOT NULL COMMENT '病人住院ID',
  `qcresult_detail_id` bigint(20) NOT NULL COMMENT '质控缺陷id',
  `qcresult_detail_msg` varchar(255) DEFAULT NULL COMMENT '缺陷详情',
  `qcresult_detai_value` bigint(60) DEFAULT NULL COMMENT '缺陷扣分分值',
  `cases_entry_id` bigint(20) DEFAULT NULL COMMENT '条目ID',
  `cases_entry_name` varchar(255) DEFAULT NULL COMMENT '质控条目(新增已有操作才有值)',
  `cases_entry_msg` varchar(255) DEFAULT NULL COMMENT '提示信息(新增已有操作才有值)',
  `value` bigint(60) DEFAULT NULL COMMENT '分值(新增已有操作才有值)',
  `mode_id` bigint(20) NOT NULL COMMENT '申诉模块id',
  `mode_name` varchar(60) NOT NULL COMMENT '模块名称',
  `defect_content` longtext COMMENT '病历内容',
  `claimant_id` bigint(20) NOT NULL COMMENT '申诉人id',
  `appeal_type` char(3) NOT NULL COMMENT '申诉类型(0:医生申诉|1:质控申诉)',
  `appeal_operation_type` char(3) NOT NULL COMMENT '申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）',
  `appeal_explain` varchar(255) DEFAULT NULL COMMENT '申诉说明',
  `check_id` bigint(20) NOT NULL COMMENT '审核人id',
  `work_flow_node_id` bigint(20) NOT NULL COMMENT '当前工作流节点id',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='申诉记录表';

/**
med_appeal_examine_info 申诉审批表
 */
CREATE TABLE `med_appeal_examine_info` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT COMMENT '申诉审批id',
  `appeal_info_id` bigint(11) NOT NULL COMMENT '申诉id',
  `check_id` bigint(20) NOT NULL COMMENT '审核人id',
  `example_status` char(1) DEFAULT '0' COMMENT '审核状态：0:驳回|1:通过',
  `example_operation` char(1) DEFAULT NULL COMMENT '审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失',
  `process_result` varchar(255) DEFAULT NULL COMMENT '处理结果',
  `reject_reason` varchar(255) DEFAULT NULL COMMENT '驳回理由',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='申诉审批表';


/**
med_work_flow_info 流程表
 */

CREATE TABLE `med_work_flow_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `work_flow_name` varchar(60) NOT NULL COMMENT '流程名称',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='流程表';

SET @hospitalid ='35';
INSERT INTO `qc`.`med_work_flow_info` (`hospital_id`, `work_flow_name`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES ( @hospitalid, '湘雅申诉审核流程', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');

/**
med_work_flow_link 流程线表
 */

CREATE TABLE `med_work_flow_link` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `work_flow_id` bigint(20) NOT NULL COMMENT '流程id',
  `work_flow_link_id` bigint(20) NOT NULL COMMENT '工作流id',
  `work_link_now_node` bigint(20) NOT NULL COMMENT '当前节点id',
  `work_link_condition` varchar(60) DEFAULT NULL COMMENT '流程条件（流程线分叉，下一结点判断条件）',
  `work_link_next_node` bigint(20) NOT NULL COMMENT '下一节点id 0:表示结束',
  `work_link_name` varchar(60) NOT NULL COMMENT '流程线内容',
  `work_link_status` varchar(60) NOT NULL COMMENT '工作流状态',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='流程线表';

set @workflowid:= (SELECT id FROM `med_work_flow_info` where `work_flow_name`='湘雅申诉审核流程' and `hospital_id`= @hospitalid );
INSERT INTO `qc`.`med_work_flow_link` (`work_flow_id`, `work_flow_link_id`, `work_link_now_node`, `work_link_condition`, `work_link_next_node`, `work_link_name`, `work_link_status`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '1', '0', NULL, '1', '申诉人员向审核员发起申诉', '申诉', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');
INSERT INTO `qc`.`med_work_flow_link` (`work_flow_id`, `work_flow_link_id`, `work_link_now_node`, `work_link_condition`, `work_link_next_node`, `work_link_name`, `work_link_status`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '2', '1', NULL, '2', '申诉人员撤回申诉', '申诉', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');
INSERT INTO `qc`.`med_work_flow_link` (`work_flow_id`, `work_flow_link_id`, `work_link_now_node`, `work_link_condition`, `work_link_next_node`, `work_link_name`, `work_link_status`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '3', '1', NULL, '3', '科室审核员审核', '审核', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');


/**
med_work_flow_node 流程节点表
 */
CREATE TABLE `med_work_flow_node` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `work_flow_id` bigint(20) NOT NULL COMMENT '流程id',
  `work_flow_node_id` bigint(20) NOT NULL COMMENT '工作节点id',
  `work_node_name` varchar(60) NOT NULL COMMENT '节点名称',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='流程节点表';

INSERT INTO `qc`.`med_work_flow_node` (`work_flow_node_id`, `work_node_name`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '1', '申诉', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');
INSERT INTO `qc`.`med_work_flow_node` (`work_flow_node_id`, `work_node_name`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '2', '撤销申诉', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');
INSERT INTO `qc`.`med_work_flow_node` (`work_flow_node_id`, `work_node_name`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES (@workflowid, '3', '科室审核', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '');

/**
sys_hospital_set 医院所有配置信息
 */
INSERT INTO `qc`.`sys_hospital_set` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '医院是否开启申诉功能', 'appeal_flag', 'true', '医院是否开启申诉功能');
INSERT INTO `qc`.`sys_hospital_set` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '审核人是否可以是自己开关', 'self_flag', 'false', '审核人是否可以是自己开关');


/**
sys_role 系统角色表
 */
INSERT INTO `qc`.`sys_role` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `roleLevel`, `descritpion`, `menuItems`, `remark`) VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '申诉审核员', '0', '', '', NULL);
