package com.diagbot.client;

import com.diagbot.client.hystrix.MedAppealInfoServiceHystrix;
import com.diagbot.client.hystrix.QcServiceHystrix;
import com.diagbot.dto.GetReviewerDTO;
import com.diagbot.dto.OutputInfo;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.Response;
import com.diagbot.entity.WorkFlowInfo;
import com.diagbot.vo.AddAppealInfoVO;
import com.diagbot.vo.GetReviewerVO;
import com.diagbot.vo.MedAppealInfoVO;
import com.diagbot.vo.QueryVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.net.URI;
import java.util.List;


/**
 * @description: 申诉功能远程调用
 * @author: zhoutg
 * @date: 2020/4/13 18:28
 */
@FeignClient(name = "gateway-service", url = "${appeal.address}", fallback = MedAppealInfoServiceHystrix.class)
public interface MedAppealInfoServiceClient {

    @PostMapping(value = "/security-center/medAppealInfoManage/getWorkById")
    Response<WorkFlowInfo> getWorkById(@RequestBody MedAppealInfoVO medAppealInfoVO);

    @PostMapping(value = "/report-service/medAppealInfoManage/addAppealInfo")
    RespDTO<Boolean> addAppealInfo(@RequestBody @Valid AddAppealInfoVO addAppealInfoVO);

    @PostMapping(value = "/report-service/medAppealInfoManage/getReviewer")
    RespDTO<List<GetReviewerDTO>> getReviewer(@RequestBody GetReviewerVO getReviewerVO);


}



