package com.diagbot.client;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.hystrix.MedAppealInfoServiceHystrixME;
import com.diagbot.dto.ComplaintRecordDTO;
import com.diagbot.vo.ComplaintRecordPageVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @description: 申诉功能远程调用
 * @author: zhoutg
 * @date: 2020/4/13 18:28
 */
@FeignClient(name = "gateway-service", url = "${appeal.address}", fallback = MedAppealInfoServiceHystrixME.class)
public interface MedAppealInfoServiceClientME {

    @PostMapping(value = "/report-service/medAppealInfoManageME/getComplaintRecord")
    IPage<List<ComplaintRecordDTO>> getComplaintRecord(@RequestBody ComplaintRecordPageVO complaintRecordPageVO);


}



