package com.diagbot.client.hystrix;


import com.diagbot.client.MedAppealInfoServiceClient;
import com.diagbot.client.QcServiceClient;
import com.diagbot.dto.GetReviewerDTO;
import com.diagbot.dto.OutputInfo;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.Response;
import com.diagbot.entity.WorkFlowInfo;
import com.diagbot.vo.AddAppealInfoVO;
import com.diagbot.vo.GetReviewerVO;
import com.diagbot.vo.MedAppealInfoVO;
import com.diagbot.vo.QueryVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.net.URI;
import java.util.List;

/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealInfoServiceHystrix implements MedAppealInfoServiceClient {

    @Override
    public Response<WorkFlowInfo> getWorkById(@RequestBody MedAppealInfoVO medAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "getWorkByIdField");
        return null;
    }

    @Override
    public RespDTO<Boolean> addAppealInfo(@Valid AddAppealInfoVO addAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "addAppealInfo");
        return null;
    }

    @Override
    public RespDTO<List<GetReviewerDTO>> getReviewer(GetReviewerVO getReviewerVO) {
        log.error("【hystrix】调用{}异常", "getReviewer");
        return null;
    }
}
