package com.diagbot.client.hystrix;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.MedAppealInfoServiceClientME;
import com.diagbot.dto.ComplaintRecordDTO;
import com.diagbot.vo.ComplaintRecordPageVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealInfoServiceHystrixME implements MedAppealInfoServiceClientME {

    @Override
    public IPage<List<ComplaintRecordDTO>> getComplaintRecord(@RequestBody ComplaintRecordPageVO complaintRecordPageVO) {
        log.error("【hystrix】调用{}异常", "getComplaintRecord");
        return null;
    }
}
