package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class AddAppealInfoVO {

    @ApiModelProperty(value = "医院ID", hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "病人住院ID", required = true)
    @NotBlank(message = "病人住院ID不能为空")
    private String behospitalCode;

    @ApiModelProperty(value = "质控缺陷id")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private Long qcresultDetaiValue;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控条目(新增已有操作才有值)")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息(新增已有操作才有值)")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值(新增已有操作才有值)")
    private Long value;

    @ApiModelProperty(value = "申诉模块id", required = true)
    @NotNull(message = "申诉模块id不能为空")
    private Long modeId;

    @ApiModelProperty(value = "模块名称", required = true)
    @NotBlank(message = "模块名称不能为空")
    private String modeName;


    @ApiModelProperty(value = "病历内容")
    private String defectContent;

    @ApiModelProperty(value = "申诉人id", hidden = true)
    private Long claimantId;

    @ApiModelProperty(value = "申诉类型(0:医生申诉|1:质控申诉)", required = true)
    @NotBlank(message = "申诉类型不能为空")
    private String appealType;

    @ApiModelProperty(value = "申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）", required = true)
    @NotBlank(message = "申诉操作类型不能为空")
    private String appealOperationType;

    @ApiModelProperty(value = "申诉说明", required = true)
    @NotBlank(message = "申诉说明不能为空")
    private String appealExplain;

    @ApiModelProperty(value = "审核人id", required = true)
    @NotNull(message = "审核人id不能为空")
    private Long checkId;

    @ApiModelProperty(value = "当前工作流节点id", required = true)
    @NotNull(message = "当前工作流节点id不能为空")
    private Long workFlowNodeId;

    @ApiModelProperty(value = "备注")
    private String remark;
}
