package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 申述记录
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class ComplaintRecordPageVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 申述人id
     */
    private Long representationId;
    /**
     * 医院id
     */
    private Long hospitalId;
    /**
     * 申述开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date complaintDateStart;

    /**
     * 申述结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date complaintDateEnd;

    /**
     * 所属科室
     */
    private String deptName;

    /**
     * 申述模块
     */
    private String module;

    /**
     * 审核人
     */
    private String name;

    /**
     * 操作类型
     */
    private String operationType;

    /**
     * 状态
     */
    private String state;

}
