package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;

import com.diagbot.client.MedAppealInfoServiceClientME;
import com.diagbot.dto.ComplaintRecordDTO;
import com.diagbot.dto.RespDTO;

import com.diagbot.vo.ComplaintRecordPageVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 申诉审核 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@RestController
@RequestMapping("/qc/appealInfoME")
@Api(value = "申诉审核API", tags = { "申诉审核API" })
@SuppressWarnings("unchecked")
public class MedAppealInfoControllerME {
    @Autowired
    MedAppealInfoServiceClientME medAppealInfoServiceClientME;

    @ApiOperation(value = "获取申述记录列表[by:zhanghang]",
            notes = "获取申诉任务接口")
    @PostMapping("/getComplaintRecord")
    @SysLogger("getComplaintRecord")
    public RespDTO<ComplaintRecordDTO> getComplaintRecord(@RequestBody ComplaintRecordPageVO complaintRecordPageVO) {
        IPage<List<ComplaintRecordDTO>> complaintRecord = medAppealInfoServiceClientME.getComplaintRecord(complaintRecordPageVO);
        return RespDTO.onSuc(complaintRecord);
    }

}
